io.vertx.ext.json.schema.common

## Class RegularExpressions

- java.lang.Object
- - io.vertx.ext.json.schema.common.RegularExpressions

-     public class RegularExpressions
      extends Object

  Author:
    Francesco Guardiani @slinkydeveloper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Pattern` | `BASE64`
    `static Pattern` | `DATE`
    `static Pattern` | `DATETIME`
    `static Pattern` | `EMAIL`
    `static Pattern` | `EMAIL_LOCAL`
    `static Pattern` | `HOSTNAME`
    `static Pattern` | `IPV4`
    `static Pattern` | `IPV6`
    `static Pattern` | `RELATIVE_JSON_POINTER`
    `static Pattern` | `TIME`
    `static Pattern` | `URI`
    `static Pattern` | `URI_TEMPLATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegularExpressions()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMAIL_LOCAL

          public static final Pattern EMAIL_LOCAL

    - #### EMAIL

          public static final Pattern EMAIL

    - #### URI

          public static final Pattern URI

    - #### DATE

          public static final Pattern DATE

    - #### DATETIME

          public static final Pattern DATETIME

    - #### TIME

          public static final Pattern TIME

    - #### BASE64

          public static final Pattern BASE64

    - #### IPV4

          public static final Pattern IPV4

    - #### IPV6

          public static final Pattern IPV6

    - #### HOSTNAME

          public static final Pattern HOSTNAME

    - #### RELATIVE_JSON_POINTER

          public static final Pattern RELATIVE_JSON_POINTER

    - #### URI_TEMPLATE

          public static final Pattern URI_TEMPLATE

  - ### Constructor Detail

    - #### RegularExpressions

          public RegularExpressions()

Copyright © 2020 Eclipse. All rights reserved.